# module Spec::Item

##
Overview

Info that `describe`, `context` and `it` all have in common.

##
Direct including types

- Spec::Example
- Spec::ExampleGroup

##
Defined in:

spec/filters.cr
spec/item.cr

##
Instance Method Summary

- #all_tags : Set(String)

  All tags, including tags inherited from ancestor example groups

- #description : String

  The example or example group's description.

- #end_line : Int32

  The line where the example or example group ends.

- #file : String

  The file where the example or example group is defined.

- #focus? : Bool

  Does this example or example group have `focus: true` on it?

- #line : Int32

  The line where the example or example group starts.

- #parent : Context

  The `describe`/`context` that wraps this example or example group.

- #tags : Set(String) | Nil

  The tags defined on this example or example group

##
Instance Method Detail

def all_tags : Set(String) #

All tags, including tags inherited from ancestor example groups

def description : String #

The example or example group's description.

def end_line : Int32 #

The line where the example or example group ends.

def file : String #

The file where the example or example group is defined.

def focus? : Bool #

Does this example or example group have `focus: true` on it?

def line : Int32 #

The line where the example or example group starts.

def parent : Context #

The `describe`/`context` that wraps this example or example group.

def tags : Set(String) | Nil #

The tags defined on this example or example group